summaryrefslogtreecommitdiffhomepage
path: root/subr/post_strip.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-01 03:09:53 +0100
committerLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-01 03:09:53 +0100
commit1548659e9cc2eeffbbd300791f228ae61524c280 (patch)
treeb5c8d203ecde6eba91a9ed33bd5f01323c00e472 /subr/post_strip.subr
parent7fa1adbf79cd2757696a2e694f8ce7b935330fbf (diff)
downloadmidipix_build-1548659e9cc2eeffbbd300791f228ae61524c280.tar.bz2
midipix_build-1548659e9cc2eeffbbd300791f228ae61524c280.tar.xz
build.sh, subr/*: reorganised as subr/{check,mode,pkg,post}_*.subr.
Diffstat (limited to 'subr/post_strip.subr')
-rw-r--r--subr/post_strip.subr17
1 files changed, 17 insertions, 0 deletions
diff --git a/subr/post_strip.subr b/subr/post_strip.subr
new file mode 100644
index 00000000..68b8e2e4
--- /dev/null
+++ b/subr/post_strip.subr
@@ -0,0 +1,17 @@
+#
+# . ./build.vars and set -o errexit -o noglob are assumed.
+#
+
+post_strip() {
+ if [ ${BUILD_SCRIPT_RC:-0} -eq 0 ]\
+ && [ "${BUILD}" = release ]; then
+ for __ in $(find ${PREFIX_NATIVE}/bin -perm -0100 \( -type f -or -type l \)); do
+ if objdump -sj .debug_info >/dev/null 2>&1; then
+ log_msg vnfo "${PKG_TARGET}-strip ${__}";
+ set +o errexit; ${PKG_TARGET}-strip ${__}; set -o errexit;
+ fi;
+ done;
+ fi;
+};
+
+# vim:filetype=sh